# SdFat: Arduino/libraries/SdFat/SdStream.h File Reference

SdStream.h File Reference

fstream, ifstream, and ofstream classes More...

`#include <SdBaseFile.h>`
`#include <iostream.h>`
Include dependency graph for SdStream.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | fstream
| SD file input/output stream. More...
class | ifstream
| SD file input stream. More...
class | ofstream
| SD card output stream. More...
class | SdStreamBase
| Base class for SD streams. More...

## Detailed Description

fstream, ifstream, and ofstream classes